$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$checksum   = "2c1be37955ac87d53040d316df473ed99e41231632db2569bfa24febca70de12"
$checksum64 = "a06776d61774ee3ae7a825b6d42a3a5e79c5fc69af67c41568728f96ddbc0e17"
$url        = "https://ftp.opera.com/ftp/pub/opera_gx/105.0.4970.63/win/Opera_GX_105.0.4970.63_Setup.exe"
$url64      = "https://ftp.opera.com/ftp/pub/opera_gx/105.0.4970.63/win/Opera_GX_105.0.4970.63_Setup_x64.exe"

$pp = Get-PackageParameters
$parameters += if ($pp.NoDesktopShortcut)     { " /desktopshortcut=0"; Write-Host "Desktop shortcut won't be created" }
$parameters += if ($pp.NoTaskbarShortcut)     { " /pintotaskbar=0"; Write-Host "Opera won't be pinned to taskbar" }

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  silentArgs     = '/install /silent /launchopera=0 /setdefaultbrowser=0 /allusers=1' + $parameters

  softwareName  = 'operagx*'

  checksum      = $checksum
  checksumType  = 'sha256'
  checksum64    = $checksum64
  checksumType64= 'sha256'

  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
